Other endpoints

sfp server API reference for Other endpoints: 8 endpoints.

POST/sfp/api/callbacks/contexts

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

curl -X POST "https://example.com/sfp/api/callbacks/contexts" \  -H "Content-Type: application/json" \  -d '{}'
Empty
GET/sfp/api/callbacks/contexts/{id}

Path Parameters

id*string

Response Body

curl -X GET "https://example.com/sfp/api/callbacks/contexts/string"
Empty
DELETE/sfp/api/callbacks/contexts/{id}

Path Parameters

id*string

Response Body

curl -X DELETE "https://example.com/sfp/api/callbacks/contexts/string"
Empty
GET/sfp/api/validation/trigger-requests

Query Parameters

repositoryIdentifier*string

Response Body

curl -X GET "https://example.com/sfp/api/validation/trigger-requests?repositoryIdentifier=string"
Empty
POST/sfp/api/validation/trigger-requests/{id}/evaluate

Path Parameters

id*string

Response Body

curl -X POST "https://example.com/sfp/api/validation/trigger-requests/string/evaluate"
Empty
POST/sfp/api/deployment-steps/views/candidates

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

curl -X POST "https://example.com/sfp/api/deployment-steps/views/candidates" \  -H "Content-Type: application/json" \  -d '{    "repositoryIdentifier": "acme/salesforce-core"  }'
Empty
POST/sfp/api/deployment-steps/views/preview

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

curl -X POST "https://example.com/sfp/api/deployment-steps/views/preview" \  -H "Content-Type: application/json" \  -d '{    "repositoryIdentifier": "acme/salesforce-core"  }'
Empty
POST/sfp/api/deployment-steps/views/runs

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

curl -X POST "https://example.com/sfp/api/deployment-steps/views/runs" \  -H "Content-Type: application/json" \  -d '{    "repositoryIdentifier": "acme/salesforce-core"  }'
Empty